<div class="help">
  <h1>Help: Tags</h1>

  <div class="sectin">
    <p>Tags are basically keywords you can use to describe <a href="/help/posts">posts</a>, allowing you to easily search and explore posts based on their content. Consult the <a href="/help/cheatsheet">cheat sheet</a> for a full list of what you can search on.</p>
  
    <div class="section">
      <h4>Guidelines</h4>
      <p>When you're tagging a post, use the following guidelines:</p>
    
      <div class="section">
        <h6>Replace spaces with underscores</h6>
        <p>For example, <code>maria-sama ga miteru</code> becomes <code>maria-sama_ga_miteru</code>. This small concession makes other features much easier to implement.</p>
      </div>
    
      <div class="section">
        <h6>Forbidden characters</h6>
        <p>The following characters are stripped from tags: commas and semicolons.</p>
      </div>
    
      <div class="section">
        <h6>Name order</h6>
        <p>This is somewhat complicated. In general, use whatever order the the anime uses. Failing this, use the ordering the character's nationality suggests. This typically means LastName FirstName order for Asian names, and FirstName LastName order for Western names.</p>
        <p>But there are exceptions. Some characters use FirstName LastName order despite having Asian-sounding names. Subaru Nakajima is a good example of this (in all official promotional artwork FirstName LastName order is used). There is nothing we can do but shake our heads.</p>
        <p>Some characters have a mixture of Asian and Western names. Refer to the source material for these cases. Failing that, the general rule is, use whatever ordering the character's last name suggests. Asuka Langley Soryuu has a Japanese last name, so it would become <code>soryuu_asuka_langley</code>. Akira Ferrari has an Italian last name, so it becomes <code>akira_ferrari</code>. But again, there are exceptions to this like <code>setsuna_f_seiei</code>. You can go ahead and curse the site for not standardizing on FirstName LastName ordering earlier on. It's too late to change the system now.</p>
      </div>
    
      <div class="section">
        <h6>Use full names</h6>
        <p>Using full names reduces the chances of collisions. The definitive resource for character names is <a href="http://www.animenewsnetwork.com">Anime News Network</a> (note that all their character names use FirstName LastName order).</p>
      </div>
    
      <div class="section">
        <h6>Ask</h6>
        <p>If you're not sure whether a tag is right or wrong, then post a comment asking for some opinions. There are plenty of obsessive Danbooru fans who will gladly weigh in.</p>
      </div>
    </div>
  
    <div class="section">
      <h4>Types</h4>
      <p>Tags can be typed. Currently there are only three types: artist, character, and copyright.</p>
    
      <div class="section">
        <h6>Artist</h6>
        <p>Artist tags identify the tag as the artist. This doesn't mean the artist of the original copyrighted artwork (for example, you wouldn't use the <code>barasui</code> tag on a picture of Miu drawn by <code>hanaharu_naruko</code>).</p>
        <p>When tagging something, you can tell Danbooru that a tag is an artist tag by prefixing it with <code>artist:</code>. For example, tagging something <code>artist:mark tree</code> will tag a post with <code>mark</code> and <code>tree</code>. If the <code>mark</code> tag doesn't already exist, it'll be created with the tag type set to artist.</p>
      </div>
    
      <div class="section">
        <h6>Character</h6>
        <p>Character tags identify the tag as a character. They work exactly like artist tags, only you prefix with "character" (or "char").</p>
      </div>
      
      <div class="section">
        <h6>Copyright</h6>
        <p>The copyright type indicates the tag represents an anime, a game, a novel, or some sort of copyrighted setting. Otherwise they work identically to character and artist tags, only you prefix with "copyright" instead (or "copy").</p>
      </div>
    
      <div class="section">
        <h6>Ambiguous</h6>
        <p>Tag ambiguity is handled much in the same way that Wikipedia handles ambiguity. Users who search for an ambiguous tag are directed to a disambiguation page on the wiki, where they can clarify what they want to search for.</p>
        <p>The flag for marking a tag as ambiguous is separate from the type. This means that an artist tag could be marked as ambiguous, for example. To mark a tag as ambiguous, prefix it with "ambiguous".</p>
      </div>
    </div>
  </div>
</div>

<?php $this->contentFor("subnavbar", function() { ?>
  <li><?= $this->linkTo("Help", "#index") ?></li>
<?php }) ?>